local entertainmentMod = ...

--MONUMENT

entertainmentMod:register({
	DataType = "MONUMENT",
	Id = "ENTERTAINMENT",
	Name = "ENTERTAINMENT_NAME",
	Description = "ENTERTAINMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{ Name = "GALLOW_KEEP",
		BuildingPartList = { "GALLOW_KEEP_PART" }
		},
		{ Name = "BROTHEL",
		BuildingPartList = { "BROTHEL_PART" }
		},
		{ Name = "BATHHOUSE",
		BuildingPartList = { "BATHHOUSE_PART" }
		},
		{ Name = "BARBERSHOP",
		BuildingPartList = { "BARBERSHOP_PART" }
		},
		{ Name = "SALOON",
		BuildingPartList = { "SALOON_PART" }
		}
	},
	RequiredPartList = {
		{ Category = "CORE", Quantity = 1 }
	},
	IsEditable = true
})
	


--GALLOW KEEP

entertainmentMod:register({
	DataType = "BUILDING",
	Id = "GALLLOW_KEEP",
	Name = "GALLOW_KEEP",
	Description = "GALLOW_KEEP_DESC",
	BuildingType = "DECORATION",
	IsHidden = true,
	IsManuallyUnlocked = true,
	BuildingPartSetList = {
		{ Name = "GENERAL",
		BuildingPartList = { "GALLOW_KEEP_PART" }
		}
	}

})

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = "GALLOW_KEEP_PART",
	Name = "GALLOW_KEEP_NAME",
	Description = "",
	Category = "CORE",
	BuildingZone = { 10, 10 },
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GALLOW_KEEP"
	},
	ConstructionVisual = "PREFAB_KEEP_CONSTRUCTION",
	BuildingFunction = "GALLOW_KEEP_FUNCTION",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 1 }
		},
		RessourcesNeeded = {
			{ Resource = "PLANK", Quantity = 25 },
			{ Resource = "STONE", Quantity = 50 }
		}
	}

})

entertainmentMod:registerPrefabComponent("models/Gallow_Keep.fbx/Prefab/Keep_Group_Part/Execution_Platform", {
	DataType = "COMP_GROUNDED"
})

entertainmentMod:registerPrefabComponent("models/Gallow_Keep.fbx/Prefab/Keep_Group_Part/Tower_Walkway", {
	DataType = "COMP_DIRT_RECTANGLE",
	IsPermanent = true,
	Size = {7, 6}
})

entertainmentMod:registerAssetProcessor("models/Gallow_Keep.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

entertainmentMod:configurePrefabFlagList("models/Gallow_Keep.fbx/Prefab/Keep_Group_Part", { "PLATFORM" })

entertainmentMod:register({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "GALLOW_KEEP_FUNCTION",
    WorkerCapacity = 1,
	RelatedJob = { Job = "SOLDIER", Behavior = "WORK_BEHAVIOR" }
})

--BROTHEL

entertainmentMod:register({
	DataType = "BUILDING",
	Id = "BROTHEL",
	Name = "BROTHEL",
	Description = "BROTHEL_DESC",
	BuildingType = "DECORATION",
	IsHidden = true,
	IsManuallyUnlocked = true,
	BuildingPartSetList = {
		{ Name = "GENERAL",
		BuildingPartList = { "BROTHEL_PART" }
		}
	}

})

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = "BROTHEL_PART",
	Name = "BROTHEL_NAME",
	Description = "",
	Category = "CORE",
	BuildingZone = { 10, 10 },
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BROTHEL"
	},
	ConstructionVisual = "PREFAB_BROTHEL_CONSTRUCTION",
	BuildingFunction = "BROTHEL_FUNCTION",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 1 }
		},
		RessourcesNeeded = {
			{ Resource = "PLANK", Quantity = 25 },
			{ Resource = "STONE", Quantity = 25 },
			{ Resource = "GLASS", Quantity = 10 }
		}
	}

})

entertainmentMod:register({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "BROTHEL_FUNCTION",
    WorkerCapacity = 1,
	RelatedJob = { Job = "CLEANER", Behavior = "WORK_BEHAVIOR" }
})

entertainmentMod:registerAssetProcessor("models/Brothel.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

entertainmentMod:registerPrefabComponent("models/Brothel.fbx/Prefab/Brothel_Group_Part/Ground_Cube", {
	DataType = "COMP_DIRT_RECTANGLE",
	IsPermanent = true,
	Size = {8, 8}
})

--BATH HOUSE

entertainmentMod:register({
	DataType = "BUILDING",
	Id = "BATHHOUSE",
	Name = "BATHHOUSE",
	Description = "BATHHOUSE_DESC",
	BuildingType = "DECORATION",
	IsHidden = true,
	IsManuallyUnlocked = true,
	BuildingPartSetList = {
		{ Name = "GENERAL",
		BuildingPartList = { "BATHHOUSE_PART" }
		}
	}

})

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = "BATHHOUSE_PART",
	Name = "BATHHOUSE_NAME",
	Description = "",
	Category = "CORE",
	BuildingZone = { 10, 10 },
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BATHHOUSE"
	},
	ConstructionVisual = "PREFAB_BATHHOUSE_CONSTRUCTION",
	BuildingFunction = "BATHHOUSE_FUNCTION",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 1 }
		},
		RessourcesNeeded = {
			{ Resource = "PLANK", Quantity = 75 },
			{ Resource = "STONE", Quantity = 25 }
		}
	}

})

entertainmentMod:register({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "BATHHOUSE_FUNCTION",
    WorkerCapacity = 2,
	RelatedJob = { Job = "CLEANER", Behavior = "WORK_BEHAVIOR" }
})

entertainmentMod:registerAssetProcessor("models/BathHouse.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

entertainmentMod:registerPrefabComponent("models/BathHouse.fbx/Prefab/BathHouse_Group/Foundation_Door", {
	DataType = "COMP_GROUNDED"

})

entertainmentMod:configurePrefabFlagList("models/BathHouse.fbx/Prefab/BathHouse_Group_Part", { "PLATFORM" })

--BARBER SHOP

entertainmentMod:register({
	DataType = "BUILDING",
	Id = "BARBERSHOP",
	Name = "BARBERSHOP",
	Description = "BARBERSHOP_DESC",
	BuildingType = "DECORATION",
	IsHidden = true,
	IsManuallyUnlocked = true,
	BuildingPartSetList = {
		{ Name = "GENERAL",
		BuildingPartList = { "BARBERSHOP_PART" }
		}
	}

})

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = "BARBERSHOP_PART",
	Name = "BARBERSHOP_NAME",
	Description = "",
	Category = "CORE",
	BuildingZone = { 8, 8 },
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BARBERSHOP"
	},
	ConstructionVisual = "PREFAB_BARBERSHOP_CONSTRUCTION",
	BuildingFunction = "BARBERSHOP_FUNCTION",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 1 }
		},
		RessourcesNeeded = {
			{ Resource = "STONE", Quantity = 20 },
			{ Resource = "PLANK", Quantity = 30 },

		}
	}

})

entertainmentMod:register({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "BARBERSHOP_FUNCTION",
    WorkerCapacity = 1,
	RelatedJob = { Job = "BARBER", Behavior = "WORK_BEHAVIOR" }
})

entertainmentMod:registerPrefabComponent("models/BarberShop.fbx/Prefab/BarberShopPart", {
	DataType = "COMP_DIRT_RECTANGLE",
	IsPermanent = true,
	Size = {8, 8}
})

entertainmentMod:registerAssetProcessor("models/BarberShop.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

entertainmentMod:configurePrefabFlagList("models/BarberShop.fbx/Prefab/BarberShopPart", { "PLATFORM" })

--SALOON

entertainmentMod:register({
	DataType = "BUILDING",
	Id = "SALOON",
	Name = "SALOON",
	Description = "SALOON_DESC",
	BuildingType = "DECORATION",
	IsHidden = true,
	IsManuallyUnlocked = true,
	BuildingPartSetList = {
		{ Name = "GENERAL",
		BuildingPartList = { "SALOON_PART" }
		}
	}

})

entertainmentMod:register({
	DataType = "BUILDING_PART",
	Id = "SALOON_PART",
	Name = "SALOON_NAME",
	Description = "",
	Category = "CORE",
	BuildingZone = { 10, 10 },
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SALOON"
	},
	ConstructionVisual = "PREFAB_SALOON_CONSTRUCTION",
	BuildingFunction = "SALOON_FUNCTION",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 1 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 25 },
			{ Resource = "PLANK", Quantity = 30 }
		}
	}

})

entertainmentMod:register({
    	DataType = "BUILDING_FUNCTION_WORKPLACE",
   	Id = "SALOON_FUNCTION",
    	WorkerCapacity = 2,
	RelatedJob = { Job = "BARTENDER", Behavior = "WORK_BEHAVIOR" }
})

entertainmentMod:registerAssetProcessor("models/Saloon.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

entertainmentMod:registerPrefabComponent("models/Saloon.fbx/Prefab/Saloon_Group_Part/Ground_Floor_Shed", {
	DataType = "COMP_GROUNDED"

})

entertainmentMod:registerPrefabComponent("models/Saloon.fbx/Prefab/Saloon_Group_Part/Bench", {
	DataType = "COMP_GROUNDED"

})

entertainmentMod:registerPrefabComponent("models/Saloon.fbx/Prefab/Saloon_Group_Part", {
	DataType = "COMP_DIRT_RECTANGLE",
	IsPermanent = true,
	Size = {9, 9}
})
